Bug 1420602 - [Docs][RFE][Upgrade] Provide upgrade procedure(s) for standard Manager upgrade from 4.0 to 4.1
Summary: [Docs][RFE][Upgrade] Provide upgrade procedure(s) for standard Manager upgrad...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.1.1
: ---
Assignee: Tahlia Richardson
QA Contact: Emma Heftman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 04:09 UTC by Lucy Bopf
Modified: 2019-05-07 13:15 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-26 23:43:46 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Lucy Bopf 2017-02-09 04:09:54 UTC
The procedure for upgrading a standard (not self-hosted) Red Hat Virtualization environment, including host updates, must be documented.

Assignee to work with QE to determine workflows, prerequisites, and known issues.

Comment 1 Lucy Bopf 2017-02-16 06:42:47 UTC
Assigning to Tahlia for review.

Comment 2 Tahlia Richardson 2017-02-21 00:16:42 UTC
Basic draft created based on previous releases. Need to assess 4.1-specific details.

Comment 19 Emma Heftman 2017-03-12 09:51:38 UTC
Tahlia, while working on a feature about the ability to upload/download images from a storage domain (1428207), Daniel Erez suggested that it would be nice to 

"add a note in the Upgrade Guide as such: "If ovirt-imageio packages have been previously installed, ensure to update both ovirt-imageio-proxy and ovirt-imageio-proxy-setup packages".

Does this appear in your documentation anywhere?

Comment 20 Tahlia Richardson 2017-03-13 00:33:51 UTC
Hey Emma,

See comment 14; ovirt-imageio-proxy-setup is caught by yum update ovirt\*setup\* in this procedure. 
For ovirt-imageio-proxy, I just tested a yum update (the final step in this procedure) with the 4.1 repos enabled, and it does update ovirt-imageio-proxy (and related packages).

So I'd say this is covered. :)

Comment 21 Emma Heftman 2017-03-13 12:55:50 UTC
(In reply to Tahlia Richardson from comment #20)
> Hey Emma,
> 
> See comment 14; ovirt-imageio-proxy-setup is caught by yum update
> ovirt\*setup\* in this procedure. 
> For ovirt-imageio-proxy, I just tested a yum update (the final step in this
> procedure) with the 4.1 repos enabled, and it does update
> ovirt-imageio-proxy (and related packages).
> 
> So I'd say this is covered. :)

Thanks Tahlia. 
derez@redhat.com Daniel, please see Tahlia's reply to make sure that your original request for updating the Upgrade documentation (BZ#1428207) has been covered.

Comment 22 Emma Heftman 2017-03-13 12:57:47 UTC
Daniel, please see Tahlia's reply in Comment 20, to make sure that your original request for updating the Upgrade documentation (BZ#1428207) has been covered.

Comment 23 Daniel Erez 2017-03-13 15:51:09 UTC
(In reply to Tahlia Richardson from comment #20)
> Hey Emma,
> 
> See comment 14; ovirt-imageio-proxy-setup is caught by yum update
> ovirt\*setup\* in this procedure. 
> For ovirt-imageio-proxy, I just tested a yum update (the final step in this
> procedure) with the 4.1 repos enabled, and it does update
> ovirt-imageio-proxy (and related packages).
> 
> So I'd say this is covered. :)

Where do we instruct to perform 'yum update' at the upgrade guide?
According to the upgrade guide [1], only 'yum update ovirt-engine-setup' is required (which isn't enough for imageio...)

[1] https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.0/html-single/upgrade_guide/#Upgrading_between_Minor_Releases

Comment 27 Daniel Erez 2017-03-16 14:17:54 UTC
Sounds reasonable to me. Just please mention ovirt-imageio-proxy among the packages..


Note You need to log in before you can comment on or make changes to this bug.